| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/functors.h>`

Inheritance diagram for Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >:
[legend]

## Public Types

typedef R(T::* | FunctionType) (Arg1, Arg2, Arg3, Arg4, Arg5)
typedef R | ResultType

## Public Member Functions

| MemberFunctor5 (T *object, FunctionType fn)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5) const

## Public Attributes

T * | object
FunctionType | fn

## Member Typedef Documentation

## § FunctionType

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

typedef R(T::* Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::FunctionType) (Arg1, Arg2, Arg3, Arg4, Arg5)

## § ResultType

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

typedef R Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::ResultType

## Constructor & Destructor Documentation

## § MemberFunctor5()

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::MemberFunctor5 | ( | T * | object,
|  | FunctionType | fn
| ) |  |

inline

## Member Function Documentation

## § operator()()

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

ResultType Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5
| ) |  | const

inline

## Member Data Documentation

## § object

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

T* Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::object

## § fn

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

FunctionType Tp::MemberFunctor5< R, T, Arg1, Arg2, Arg3, Arg4, Arg5 >::fn